For the complete documentation index, see llms.txt. This page is also available as Markdown.

Health check

This API command returns the server's health status, including license information.

Command name: health_check

Request URL (GET):

http(s)://endpoint/virtual_directory/api?cmd=health_check
https://svc.webspellchecker.net/api?cmd=ver

Response:

{
  "pid": 25300,
  "license": {
    "valid": true,
    "remaining_seconds": 12701397
  }
}
{
  "pid": 25300,
  "license": {
    "valid": true,
    "remaining_seconds": 0
  }
}

For cloud deployments, valid is always true and remaining_seconds is always 0.

Response fields:

Field
Type
Description

pid

number

Process ID of the running server

license.valid

boolean

Indicates whether the license is valid

license.remaining_seconds

number

Time in seconds until the license expires

Field
Type
Description

pid

number

Process ID of the running server

license.valid

boolean

Always true

license.remaining_seconds

number

Always 0

Health status:

The service is healthy when the response status code is 200.

200

true

The service is healthy

200

false

The service isn't working due to license issues

Other

—

The service is unavailable

HTTP status
Meaning

200

The service is healthy

Other

The service is unavailable

See also:

For more detailed server information, use the status command.

Was this helpful?